Bug 229127 - broken redraw of aterm screen
broken redraw of aterm screen
Product: Fedora
Classification: Fedora
Component: aterm (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-02-17 12:34 EST by Marek Mahut
Modified: 2008-03-01 10:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-01 10:31:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of broken mc using aterm (23.27 KB, image/png)
2007-02-17 12:34 EST, Marek Mahut
no flags Details
broken irssi example (234.92 KB, image/jpeg)
2007-02-17 12:39 EST, Marek Mahut
no flags Details
version of elements (2.18 KB, text/plain)
2007-02-18 09:30 EST, Marek Mahut
no flags Details

  None (edit)
Description Marek Mahut 2007-02-17 12:34:54 EST
Description of problem:

I'm using aterm with gnome, but I have some problem with redraw of some
applications that should be refreshed after event and uses ncurses. Basicaly
irssi and mc (see attached screenshot). I need to refresh (ctrl-l) it by myself.
Seems that it isn't caused by TERMinal emulation, I tried xterm, rxvt and vt102.
Reinstall didn't help as well.

Version-Release number of selected component (if applicable):

aterm 1.00.00
gnome 2.16.3
ncurses 5.5-24.20060715

system up to date.

How reproducible:


Steps to Reproduce:
1. open aterm terminal 
2. run some program that uses ncurses and need refresh-on-event feature

Actual results:

window of application got broken

Expected results:

screen will be automaticly redraw after event

Additional info:

I'm tired to do ctrl-l each time
Comment 1 Marek Mahut 2007-02-17 12:34:54 EST
Created attachment 148272 [details]
screenshot of broken mc using aterm
Comment 2 Marek Mahut 2007-02-17 12:39:05 EST
Created attachment 148275 [details]
broken irssi example
Comment 3 Andreas Bierfert 2007-02-18 09:07:06 EST
Could you please give the rpm version and release numbers of the components and
not only the version numbers. Will see if I can recreate the problem. Do you
have any special aterm options enabled?
Comment 4 Marek Mahut 2007-02-18 09:20:27 EST
It's actual rpm in Fedora 6 aterm.i386 0:1.0.0-7.fc6
(aterm-1.0.0-7.fc6.i386.rpm). The problem occur with my usual options (-fg white
-tr -trsb -sh 35) but without too, so I don't think it's the problem. I can
reproduce this problem on my server which runs Fedora Core 6 with aterm from
repo too - so I think it's common.
Comment 5 Marek Mahut 2007-02-18 09:30:44 EST
Created attachment 148291 [details]
version of elements

Please, find here versions of other components as well. As you can see the
first screenshot is without any option and the second with my currect (see in
previous note) and the problem is the same.
Comment 6 Marek Mahut 2007-07-12 04:07:27 EDT
Comment 7 Marek Mahut 2007-10-17 02:26:02 EDT
The bug still persist in rawhide.
Comment 8 Marek Mahut 2008-03-01 10:31:54 EST
The problem is that aterm isn't support unicode, which is in Fedora not very
useful... rxvt-unicode is a good replacement for it.

Note You need to log in before you can comment on or make changes to this bug.